corda / net.corda.core.contracts / TransactionConflictException

# TransactionConflictException

`class TransactionConflictException : Exception`

### Constructors

<init> | `TransactionConflictException(conflictRef: StateRef, tx1: LedgerTransaction, tx2: LedgerTransaction)`

### Properties

conflictRef | `val conflictRef: StateRef`
tx1 | `val tx1: LedgerTransaction`
tx2 | `val tx2: LedgerTransaction`

### Extension Properties

rootCause | `val Throwable.rootCause: Throwable`